# Interface IDocumentUndoListener

public interface IDocumentUndoListener
This interface is used to listen to notifications from a DocumentUndoManager. The supplied DocumentUndoEvent describes the particular notification.

Document undo listeners must be prepared to receive notifications from a background thread. Any UI access occurring inside the implementation must be properly synchronized using the techniques specified by the client's widget library.

Clients may implement this interface.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`void`
`documentUndoNotification(DocumentUndoEvent event)`
The document is involved in an undo-related change.

## Method Details

### documentUndoNotification

void documentUndoNotification(DocumentUndoEvent event)
The document is involved in an undo-related change. Notify listeners with an event describing the change.

Parameters:
  `event` - the document undo event that describes the particular notification